Cyberduck Mountain Duck CLI

#9360 closed defect (thirdparty)

Operation timed out in SSH transport reader

Reported by: stehrery Owned by:
Priority: normal Milestone:
Component: sftp Version: 4.8.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

I'm not sure how to include the transcript from "View -> Toggle Log Drawer." I clicked on that but no log appeared?? What do I need to do to include the transcript?

For work, I am making a backup of a server. I must download everything on the server to an external hard drive. Everything went quickly and easily for several days. Suddenly, the past 5 days, no collection of files and no single file that exceeds 4.3 GB can be downloaded - Cyberduck fails with "Transfer Incomplete" each time.

I have updated Cyberduck. I have tried changing preferences to allow more bandwidth and to retry multiple times, all to no avail. I have looked at other tickets and haven't seen this particular one.

Attachments (4)

45e1a0ec-5fc2-4990-b7cd-ef1d3f5f103a.cyberducktransfer (4.7 KB) - added by stehrery on Mar 12, 2016 at 12:40:08 PM.
I believe this is the transfer log when it failed this morning.
cb76416c-c5ff-4ac2-a166-8d028bf21304.cyberducktransfer (108.8 KB) - added by stehrery on Mar 12, 2016 at 12:41:21 PM.
This is the transfer file yesterday afternoon - I thought I had figured out the problem and tried to download everything but it was too much.
Screen Shot 2016-03-13 at 11.41.52 AM.png (262.6 KB) - added by stehrery on Mar 13, 2016 at 3:44:04 PM.
Screenshot of CyberDuck "hanging"
3-18 -2016 Log.pdf (412.9 KB) - added by stehrery on Mar 18, 2016 at 2:45:27 PM.

Download all attachments as: .zip

Change History (20)

comment:1 Changed on Mar 10, 2016 at 3:36:29 PM by dkocher

Do you get an error message displayed for the failed transfer?

comment:2 Changed on Mar 11, 2016 at 1:32:22 AM by stehrery

Thank you for the quick response!

It only states: "Transfer Incomplete." Is there a way to show more information that might include an error message?

Thank you for your help,

Eryn

comment:3 Changed on Mar 11, 2016 at 3:10:10 PM by dkocher

On Windows

On Mac

  • Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

Changed on Mar 12, 2016 at 12:40:08 PM by stehrery

I believe this is the transfer log when it failed this morning.

Changed on Mar 12, 2016 at 12:41:21 PM by stehrery

This is the transfer file yesterday afternoon - I thought I had figured out the problem and tried to download everything but it was too much.

comment:4 Changed on Mar 12, 2016 at 12:42:08 PM by stehrery

Okay, I have attached those output logs that you asked. Is that helpful or should I look for other logs?

comment:5 Changed on Mar 13, 2016 at 3:16:07 PM by dkocher

Please post the transcript from the log drawer of the Transfers window (Choose ⌘-L on Mac) and any related output in the system.log (/Applications/Utilities/Console.app).

comment:6 Changed on Mar 13, 2016 at 3:43:22 PM by stehrery

Thank you for your help!

I am using a Mac and tried pressing ⌘-L but nothing happened. I also tried going directly to: "View ->Toggle Log Drawer" but again nothing happened. I am not familiar with Macs - am I missing an important piece of the puzzle here? Can you tell me if there is an alternate way to get at the transcript?

At this point, it no longer begins the download but just "hangs" there. I am attaching a screenshot.

Changed on Mar 13, 2016 at 3:44:04 PM by stehrery

Screenshot of CyberDuck "hanging"

comment:7 Changed on Mar 14, 2016 at 2:32:26 PM by dkocher

Can you find any related output in the system.log (/Applications/Utilities/Console.app).

comment:8 Changed on Mar 14, 2016 at 2:39:33 PM by dkocher

  • Summary changed from After many successful downloads, Cyberduck now fails consistently at 4.3 GB to After many successful downloads now fails consistently at 4.3 GB

comment:9 Changed on Mar 18, 2016 at 8:59:53 AM by dkocher

  • Milestone set to 4.8.4
  • Resolution set to worksforme
  • Status changed from new to closed

comment:10 Changed on Mar 18, 2016 at 1:50:42 PM by stehrery

Sorry - I was out of town. Here is the output from the Log Drawer after ending with "Transfer Incomplete" message but no other error message:

1 OPENDIR
2 READDIR
3 READDIR
4 CLOSE
5 OPENDIR
6 READDIR
7 READDIR
8 CLOSE

Last edited on Mar 18, 2016 at 1:54:43 PM by dkocher (previous) (diff)

comment:11 Changed on Mar 18, 2016 at 1:55:12 PM by dkocher

  • Milestone changed from 4.8.4 to 5.0
  • Resolution worksforme deleted
  • Status changed from closed to reopened

Can you find any related output in the system.log (/Applications/Utilities/Console.app).

Changed on Mar 18, 2016 at 2:45:27 PM by stehrery

comment:12 Changed on Mar 18, 2016 at 2:47:10 PM by stehrery

I added an attachment with details from the Log (3-18-2016 Log), but the relevant lines seem repeated again and again:

3/18/16 9:56:34.197 AM Cyberduck[224]: objc[224]: Object 0x7f8bb1ba5c90 of class __NSCFString autoreleased with no pool in place - just leaking - break on objc_autoreleaseNoPool() to debug
3/18/16 9:56:34.198 AM Cyberduck[224]: objc[224]: Object 0x7f8b910209d0 of class __NSCFString autoreleased with no pool in place - just leaking - break on objc_autoreleaseNoPool() to debug
3/18/16 9:56:34.199 AM Cyberduck[224]: [keep-alive] ERROR net.schmizz.sshj.transport.TransportImpl - Dying because - {}

java.lang.InterruptedException: sleep interrupted
	at java.lang.Thread.sleep(Native Method)
	at net.schmizz.keepalive.KeepAlive.run(KeepAlive.java:66)
3/18/16 9:56:34.200 AM Cyberduck[224]: [transfer-4] ERROR net.schmizz.concurrent.Promise - <<chan#0 / close>> woke to: net.schmizz.sshj.connection.ConnectionException: Operation timed out

Last edited on Mar 18, 2016 at 3:24:51 PM by dkocher (previous) (diff)

comment:13 Changed on Mar 18, 2016 at 3:25:34 PM by dkocher

  • Component changed from core to sftp
  • Summary changed from After many successful downloads now fails consistently at 4.3 GB to Operation timed out in SSH transport reader

comment:14 Changed on Mar 18, 2016 at 5:56:16 PM by stehrery

dkocher, will you explain that please?

comment:15 Changed on Apr 5, 2016 at 10:33:33 AM by dkocher

  • Resolution set to thirdparty
  • Status changed from reopened to closed

It looks like the server is no more responding at some point during the transfer. Please check with your server administrator if you can find anything bogus in the server logs.

comment:16 Changed on Apr 5, 2016 at 10:33:41 AM by dkocher

  • Milestone 5.0 deleted
Note: See TracTickets for help on using tickets.
swiss made software